[oe-commits] Khem Raj : stage-manager: Use opkg utilities

git version control git at git.openembedded.org
Thu Feb 3 22:36:26 UTC 2011


Module: openembedded.git
Branch: ulf/linux-2.6.30-2011-01-16
Commit: c044a1d24db8f78bf77f512898f9d1ec5dc3cf7b
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=c044a1d24db8f78bf77f512898f9d1ec5dc3cf7b

Author: Khem Raj <raj.khem at gmail.com>
Date:   Mon Jan 24 16:52:02 2011 -0800

stage-manager: Use opkg utilities

* Rename stage-manager-ipkg -> stage-manager-opkg
* Rename stage-manager-ipkg-build -> stage-manager-opkg-build

Signed-off-by: Khem Raj <raj.khem at gmail.com>
Acked-by: Koen Kooi <koen at openembedded.org>
Acked-by: Graham Gower <graham.gower at gmail.com>

---

 .../{stage-manager-ipkg => stage-manager-opkg}     |    2 +-
 ...manager-ipkg-build => stage-manager-opkg-build} |   14 +++++++-------
 recipes/stage-manager/stagemanager-native_0.0.1.bb |    8 ++++----
 3 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/recipes/stage-manager/files/stage-manager-ipkg b/recipes/stage-manager/files/stage-manager-opkg
similarity index 99%
rename from recipes/stage-manager/files/stage-manager-ipkg
rename to recipes/stage-manager/files/stage-manager-opkg
index 105ea54..5a2347a 100755
--- a/recipes/stage-manager/files/stage-manager-ipkg
+++ b/recipes/stage-manager/files/stage-manager-opkg
@@ -1015,7 +1015,7 @@ ipkg_upgrade_pkg() {
 
 			if [ "$avail_ver" = "$inst_ver" ]; then 
 				echo "Package $pkg ($inst_ver) installed in $dest_name is up to date"
-			elif ipkg-compare-versions $avail_ver '>>' $inst_ver; then
+			elif opkg-compare-versions $avail_ver '>>' $inst_ver; then
 				echo "Upgrading $pkg ($dest_name) from $inst_ver to $avail_ver"
 				ipkg_get_install_dest $dest $pkg
 			else
diff --git a/recipes/stage-manager/files/stage-manager-ipkg-build b/recipes/stage-manager/files/stage-manager-opkg-build
similarity index 94%
rename from recipes/stage-manager/files/stage-manager-ipkg-build
rename to recipes/stage-manager/files/stage-manager-opkg-build
index 77367ac..b7be3dc 100755
--- a/recipes/stage-manager/files/stage-manager-ipkg-build
+++ b/recipes/stage-manager/files/stage-manager-opkg-build
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# ipkg-build -- construct a .ipk from a directory
+# opkg-build -- construct a .ipk from a directory
 # Carl Worth <cworth at east.isi.edu>
 # based on a script by Steve Redler IV, steve at sr-tech.com 5-21-2001
 # 2003-04-25 rea at sr.unh.edu
@@ -11,14 +11,14 @@ set -e
 
 version=1.0
 
-ipkg_extract_value() {
+opkg_extract_value() {
 	sed -e "s/^[^:]*:[[:space:]]*//"
 }
 
 required_field() {
 	field=$1
 
-	value=`grep "^$field:" < $CONTROL/control | ipkg_extract_value`
+	value=`grep "^$field:" < $CONTROL/control | opkg_extract_value`
 	if [ -z "$value" ]; then
 		echo "*** Error: $CONTROL/control is missing field $field" >&2
 		return 1
@@ -30,7 +30,7 @@ required_field() {
 disallowed_field() {
 	field=$1
 
-	value=`grep "^$field:" < $CONTROL/control | ipkg_extract_value`
+	value=`grep "^$field:" < $CONTROL/control | opkg_extract_value`
 	if [ -n "$value" ]; then
 		echo "*** Error: $CONTROL/control contains disallowed field $field" >&2
 		return 1
@@ -128,7 +128,7 @@ You probably want to chown these to a system user: " >&2
 		bad_fields=`echo $bad_fields`
 		echo "*** Error: The following fields in $CONTROL/control are missing a ':'" >&2
 		echo "	$bad_fields" >&2
-		echo "ipkg-build: This may be due to a missing initial space for a multi-line field value" >&2
+		echo "opkg-build: This may be due to a missing initial space for a multi-line field value" >&2
 		PKG_ERROR=1
 	fi
 
@@ -153,7 +153,7 @@ You probably want to chown these to a system user: " >&2
 }
 
 ###
-# ipkg-build "main"
+# opkg-build "main"
 ###
 ogargs=""
 outer=ar
@@ -218,7 +218,7 @@ fi
 
 if ! pkg_appears_sane $pkg_dir; then
 	echo >&2
-	echo "ipkg-build: Please fix the above errors and try again." >&2
+	echo "opkg-build: Please fix the above errors and try again." >&2
 	exit 1
 fi
 
diff --git a/recipes/stage-manager/stagemanager-native_0.0.1.bb b/recipes/stage-manager/stagemanager-native_0.0.1.bb
index 9577749..8ad73ef 100644
--- a/recipes/stage-manager/stagemanager-native_0.0.1.bb
+++ b/recipes/stage-manager/stagemanager-native_0.0.1.bb
@@ -2,8 +2,8 @@ DESCRIPTION = "Helper script for packaged-staging.bbclass"
 PR = "r15"
 
 SRC_URI = "file://stage-manager \
-           file://stage-manager-ipkg \
-           file://stage-manager-ipkg-build "
+           file://stage-manager-opkg \
+           file://stage-manager-opkg-build "
 LICENSE = "GPLv2"
 
 PACKAGE_ARCH = "all"
@@ -21,6 +21,6 @@ NATIVE_INSTALL_WORKS = "1"
 do_install() {
 	install -d ${STAGING_BINDIR}
 	install -m 0755 ${WORKDIR}/stage-manager ${STAGING_BINDIR}
-	install -m 0755 ${WORKDIR}/stage-manager-ipkg ${STAGING_BINDIR}
-	install -m 0755 ${WORKDIR}/stage-manager-ipkg-build ${STAGING_BINDIR}
+	install -m 0755 ${WORKDIR}/stage-manager-opkg ${STAGING_BINDIR}
+	install -m 0755 ${WORKDIR}/stage-manager-opkg-build ${STAGING_BINDIR}
 }





More information about the Openembedded-commits mailing list